/* 
  Localizable.strings
  RVGraphicsData
*/



// MARK: - Shape Names
"RVSHAPETYPE_RECTANGLE" = "Rectangle";
"RVSHAPETYPE_ELLIPSE" = "Ellipse";
"RVSHAPETYPE_ISOCELESTRIANGLE" = "Triangle";
"RVSHAPETYPE_RIGHTTRIANGLE" = "Right Triangle";
"RVSHAPETYPE_RHOMBUS" = "Rhombus";
"RVSHAPETYPE_STAR" = "Star";
"RVSHAPETYPE_POLYGON" = "Polygon";
"RVSHAPETYPE_CUSTOM" = "Custom";
"RVSHAPETYPE_RIGHTARROW" = "Arrow";
"RVSHAPETYPE_DOUBLEARROW" = "Double Arrow";
"RVSHAPETYPE_ROUNDEDRECTANGLE" = "Rounded Rect";
"RVSHAPETYPE_LINE" = "Line";
"RVSHAPETYPE_SHAPE" = "Shape";


// MARK: - Media Fill Scale Behavior

"RV_MEDIA_FILL_SCALE_BEHAVIOR_SCALE_TO_FIT"		= "Scale to Fit";
"RV_MEDIA_FILL_SCALE_BEHAVIOR_SCALE_TO_FILL"	= "Scale to Fill";
"RV_MEDIA_FILL_SCALE_BEHAVIOR_CUSTOM_SCALE"		= "Custom Scale";
"RV_MEDIA_FILL_SCALE_BEHAVIOR_STRETCH_TO_FILL"	= "Stretch to Fill";



// MARK: - Media Fill Scale Alignment

"RV_MEDIA_FILL_SCALE_ALIGNMENT_TOP_LEFT"		= "Top Left";
"RV_MEDIA_FILL_SCALE_ALIGNMENT_TOP_CENTER"		= "Top Center";
"RV_MEDIA_FILL_SCALE_ALIGNMENT_TOP_RIGHT"		= "Top Right";
"RV_MEDIA_FILL_SCALE_ALIGNMENT_MIDDLE_LEFT"		= "Middle Left";
"RV_MEDIA_FILL_SCALE_ALIGNMENT_MIDDLE_CENTER"	= "Middle Center";
"RV_MEDIA_FILL_SCALE_ALIGNMENT_MIDDLE_RIGHT"	= "Middle Right";
"RV_MEDIA_FILL_SCALE_ALIGNMENT_BOTTOM_LEFT"		= "Bottom Left";
"RV_MEDIA_FILL_SCALE_ALIGNMENT_BOTTOM_CENTER"	= "Bottom Center";
"RV_MEDIA_FILL_SCALE_ALIGNMENT_BOTTOM_RIGHT"	= "Bottom Right";



// MARK: - Media Fill Type

"RV_MEDIA_FILL_TYPE_NONE"	= "None";
"RV_MEDIA_FILL_TYPE_IMAGE"	= "Image";
"RV_MEDIA_FILL_TYPE_VIDEO"	= "Video";
"RV_MEDIA_FILL_TYPE_AUDIO"	= "Audio";
"RV_MEDIA_FILL_TYPE_LIVEVIDEO" = "Live Video";
"RV_MEDIA_FILL_TYPE_WEB" = "Web";


// MARK: - End Behavior
"RV_STOP_ON_LAST_FRAME"     = "Hold Last Frame";
"RV_BLACK_AT_END"			= "Black after Last Frame";
"RV_CLEAR_AT_END"           = "Clear after Last Frame";
"RV_FADE_TO_BLACK"         = "Fade To Black";
"RV_FADE_TO_CLEAR"			= "Fade To Clear";


// MARK: - Playback Behavior
"RV_STOP"            = "Stop";
"RV_LOOP"					= "Loop";
"RV_LOOP_FOR_TIME"          = "Loop For Time…";
"RV_LOOP_FOR_COUNT"         = "Loop For Play Count…";


// MARK: - Audio
"RV_AUDIO_CHANNEL"			= "Audio Channel %@";



// MARK: - UNDO
"UNDO_SET_URL" = "Set Media URL";

"UNDO_LOCK_ASPECT_RATIO" = "Lock Aspect Ratio";
"UNDO_UNLOCK_ASPECT_RATIO" = "Unlock Aspect Ratio";


// RVGraphicElement

"UNDO_SET_NAME" = "Set Name";
"UNDO_MOVE" = "Move";
"UNDO_RESIZE" = "Resize";
"UNDO_RESIZE_SOURCE_BOUNDS" = "Resize Source Bounds";
"UNDO_ROTATE" = "Rotate";
"UNDO_SOURCE_ROTATION" = "Source Rotation";

"UNDO_OPACITY" = "Set Opacity";
"UNDO_SET_LOCKED" = "Set Locked";
"UNDO_SET_FLIP_MODE" = "Set Flip Mode";


// LineFillMask

"RV_UNDO_SET_LINE_FILL_MASK_ENABLED" = "Enable Line Fill Mask";
"RV_UNDO_SET_LINE_FILL_MASK_HEIGHT" = "Set Line Fill Mask Height";
"RV_UNDO_SET_LINE_FILL_BASELINE_OFFSET" = "Set Line Fill Mask Baseline Offset";


// RVGraphicText Font Scaling
"RV_NO_SCALING" = "No text scaling";
"RV_ADJUST_CONTAINER_HEIGHT" = "Fit container to text";
"RV_SCALE_FONT_UP" = "Scale text up to fit container";
"RV_SCALE_FONT_DOWN" = "Scale text down to fit container";
"RV_SCALE_FONT_UP_OR_DOWN" = "Scale text up or down to fit container";


// RVGraphicFill
"UNDO_ENABLE_FILL" = "Enable Fill";
"UNDO_DISABLE_FILL" = "Disable Fill";
"UNDO_CHANGE_FILL" = "Change Fill";


// RVGraphicFillDataColor

"UNDO_SET_FILL_COLOR" = "Set Fill Color";


// RVGraphicFillDataGradient

"UNDO_SET_GRADIENT_COLOR" = "Set Gradient Color";
"UNDO_SET_GRADIENT_ANGLE" = "Set Gradient Angle";


// RVGraphicFillDataMedia

"UNDO_SET_MEDIA_FILL" = "Set Media Fill";


// RVMediaFill

"UNDO_CHANGE_MEDIA_SOURCE" = "Change Media Source";


// RVGraphicPath

"UNDO_CLOSE_PATH" = "Close Path";
"UNDO_TOGGLE_POINT" = "Toggle Point";
"UNDO_REMOVE_POINT" = "Remove Point";
"UNDO_CHANGE_SHAPE" = "Change Shape";
"UNDO_MOVE_SHAPE" = "Move Shape";


// RVGraphicStroke
"UNDO_CHANGE_STROKE_ENABLED" = "Enable Stroke";
"UNDO_CHANGE_STROKE_TYPE" = "Change Stroke Type";
"UNDO_SET_STROKE_WIDTH" = "Set Stroke Width";
"UNDO_SET_STROKE_COLOR" = "Set Stroke Color";


// RVGraphicShadow
"UNDO_SET_SHADOW_ENABLED"		= "Enable Shadow";
"UNDO_SET_SHADOW_STYLE"			= "Set Shadow Style";
"UNDO_SET_SHADOW_ANGLE"			= "Set Shadow Angle";
"UNDO_SET_SHADOW_OFFSET"		= "Set Shadow Offset";
"UNDO_SET_SHADOW_RADIUS"		= "Set Shadow Blur";
"UNDO_SET_SHADOW_COLOR"			= "Set Shadow Color";
"UNDO_SET_SHADOW_OPACITY"		= "Set Shadow Opacity";


// RVMediaFillAudioFileProperties

"UNDO_CHANGE_PLAY_RATE" = "Change Play Rate";
"UNDO_SET_IN_POINT" = "Set In Point";
"UNDO_SET_OUT_POINT" = "Set Out Point";
"UNDO_SET_START_RAMP_TIME" = "Set Start Ramp Time";
"UNDO_SET_END_RAMP_TIME" = "Set End Ramp Time";
"UNDO_SET_FADE_IN_POSITION" = "Set Fade In Time";
"UNDO_SET_FADE_IN_DURATION" = "Set Fade In Duration";
"UNDO_SET_SHOULD_FADE_IN" = "Set Should Fade In";
"UNDO_SET_SHOULD_NOT_FADE_IN" = "Set Should Not Fade In";
"UNDO_SET_FADE_OUT_DURATION" = "Set Fade Out Duration";
"UNDO_SET_SHOULD_FADE_OUT" = "Set Should Fade Out";
"UNDO_SET_SHOULD_NOT_FADE_OUT" = "Set Should Not Fade Out";
"UNDO_SET_RAMP_TIMES" = "Set Audio Ramp Times";
"UNDO_SET_AUDIO_FADE_IN" = "Set Audio Fade In";
"UNDO_SET_END_POINT" = "Set Audio End Points";
"UNDO_CHANGE_AUDIO_VOLUME" = "Change Audio Volume";
"UNDO_SET_PLAYBACK_BEHAVIOR" = "Set Playback Behavior";
"UNDO_SET_LOOP_TIME" = "Set Loop Time";
"UNDO_SET_TIMES_TO_LOOP" = "Set Times To Loop";

// RVMediaFillImageProperties

"UNDO_SET_SCALE_BEHAVIOR" = "Set Scale Behavior";
"UNDO_SET_SCALE_ALIGNMENT" = "Set Scale Alignment";
"UNDO_SET_FLIPPED_HORIZONTALLY" = "Set Flipped Horizontally";
"UNDO_SET_FLIPPED_VERTICALLY" = "Set Flipped Vertically";
"UNDO_SET_NATIVE_ROTATION" = "Set Native Rotation";
"UNDO_SET_CUSTOM_IMAGE_BOUNDS" = "Set Custom Image Bounds";
"UNDO_INVERT_ALPHA" = "Invert Image Alpha";

"UNDO_INSERT_EFFECT" = "Insert Effect";
"UNDO_INSERT_EFFECTS" = "Insert Effects";
"UNDO_REMOVE_EFFECT" = "Remove Effect";
"UNDO_REMOVE_EFFECTS" = "Remove Effects";
"UNDO_REPLACE_EFFECT" = "Replace Effect";
"UNDO_REPLACE_EFFECTS" = "Replace Effects";


// RVMediaFillLiveVideoProperties

"UNDO_SET_VIDEO_DEVICE" = "Set Video Input Device";
"UNDO_SET_AUDIO_DEVICE" = "Set Audio Input Device";


"VIDEOINPUT_TYPE_GENERIC" = "Generic";
"VIDEOINPUT_TYPE_DIRECTSHOW" = "Direct";
"VIDEOINPUT_TYPE_BLACKMAGIC" = "BMD";
"VIDEOINPUT_TYPE_AJA" = "AJA";
"VIDEOINPUT_TYPE_AV" = "AV";
"VIDEOINPUT_TYPE_SYPHON" = "Syphon";
"VIDEOINPUT_TYPE_NDI" = "NDI";


// RVMediaFillVideoProperties

"UNDO_CHANGE_FIELD_TYPE" = "Change Field Type";
"UNDO_SET_THUMBNAIL" = "Set Thumbnail";
"UNDO_SET_END_BEHAVIOR" = "Set End Behavior";
"UNDO_ENABLE_SOFT_LOOP" = "Enable Soft Loop";
"UNDO_DISABLE_SOFT_LOOP" = "Disable Soft Loop";
"UNDO_SET_SOFT_LOOP_TIME" = "Set Soft Loop Time";


// RVVideoInputDevice

"UNDO_SET_MODE" = "Set Input Mode";


// RVDisplayMode

"UNDO_SET_DISPLAY_MODE_NAME" = "Set Display Mode Name";
"UNDO_RESIZE_DISPLAY_MODE" = "Resize Display Mode";


// Display Errors

"RV_TEXT_ELEMENT_OVERFILLED" = "One or more of the text boxes on this slide is too small causing the content inside to be clipped. Resize the text box to see all of the content";

